$('#form-vivienda').submit(function(e){
    e.preventDefault();
    $.ajax({
        url: url_vivienda_post,
        type: "POST",
        data: $('#form-vivienda').serialize(),
        beforeSend: function(){
            App.blockUI({
                target: "#tab3",
                message: "Cargando..."
            })
        },
        success: function(data){
            swal("Listo",data.success, "success");
        },
        error: function(){
            swal("Error","No se actualizo la informacion", "error");
        },
        complete: function(){
            App.unblockUI("#tab3");
        }
    })
});
$.ajax({
    url: url_vivienda_get+"?q="+id,
    success: function(data){
        var user = data[0];
        try {

            $("#zona").val(user.zona);

            if(user.vereda){ $("#vereda").prop('checked', true); }
            if(user.luz){ $("#luz").prop('checked', true); }
            if(user.posta){ $("#posta").prop('checked', true); }
            if(user.parque){ $("#parque").prop('checked', true); }

            $("#tipovivienda").val(user.tipovivienda);
            $("input[name='otravivienda']").val(user.otravivienda);

            $("#tenencia").val(user.tenencia);
            $("input[name='tenenciao']").val(user.tenenciao);

            $("input[name='areacons']").val(user.areacons);

            $("#estructura").val(user.estructura);
            $("#condicion").val(user.condicion);

            if(user.sagua){ $("#sagua").prop('checked', true); }
            if(user.sdesague){ $("#sdesague").prop('checked', true); }
            if(user.stelefono){ $("#stelefono").prop('checked', true); }
            if(user.scable){ $("#scable").prop('checked', true); }
            if(user.sinternet){ $("#sinternet").prop('checked', true); }
            if(user.spozo){ $("#spozo").prop('checked', true); }
            if(user.sbanio){ $("#sbanio").prop('checked', true); }
            if($('#viviendaid').val() == '') {
                $("input[name='viviendaid']").val(user.id_usuario);
            }
        }catch(err){
            App.unblockUI("#tab3");
        }
    },
    beforeSend: function(){
        App.blockUI({
            target: "#tab3",
            message: "Cargando..."
        })
    },
    complete: function(){
        App.unblockUI("#tab3");
    }
})